Arity
Version
This integration utilizes the Arity Data Compliance API v1.
Base URL
The base URL used for all Arity API endpoints:https://api.arity.com
Arity uses three API path prefixes under this root:
- OAuth API path prefix:
/platform/oauth/v1 - Deletion API path prefix:
/data-compliance/v1 - Access API path prefix:
/disclosureRequest/v1(for example,POST /disclosureRequest/v1/data)
Authentication & Authorization
The DataGrail Arity integration connects using OAuth 2.0 with the following credentials: Client ID and Client Secret.
Endpoints Utilized
DataGrail uses the following endpoints to authorize and test the connection:
| Method | Endpoint | Purpose | Docs |
|---|---|---|---|
| GET | /platform/oauth/v1/token | Generate a B2B-scope access token using the client ID and client secret. |
Scopes
The Arity integration requires specific scopes that must be granted in order to function for a given capability.
| Scope | Base | Access | Deletion |
|---|---|---|---|
b2b | ✅ | ✅ | ✅ |
Limits
Limits in Arity are calculated using the leaky
bucket algorithm. All requests that are made after rate limits have been
exceeded are throttled and an HTTP 429 Too Many Requests error is returned.
Requests succeed again after enough requests have emptied out of the bucket.
- DataGrail supports requests throttling to stay within 70-80% of specified service rate limits.
- DataGrail processes API responses with HTTP 429 status to interrupt requests, waiting and retrying (using an exponential backoff strategy).
Capabilities
Access
DataGrail's Arity integration provides Asynchronous (Whole Record) Access capabilities for the following supported identifier category: User ID.Data Interactions
For Access requests, DataGrail will take the following actions:
- Submit a disclosure request and a law enforcement request for the User ID to the Arity Disclosure Request API.
- Poll the daily status report CSV in the linked AWS S3 bucket until all request IDs appear and reach a terminal status.
- Download all data files delivered by Arity to the S3 bucket under the user's directory.
- Return the data grouped by object type (e.g.,
scores,audience,users).
Endpoints Utilized
| Method | Endpoint | Purpose | Docs |
|---|---|---|---|
| POST | /disclosureRequest/v1/data | Submit disclosure and law enforcement access requests for a user ID. |
Deletion
DataGrail's Arity integration provides Asynchronous (Whole Record) Deletion capabilities for the following supported identifier category: User ID.Data Interactions
For Deletion requests, DataGrail will take the following actions:
- Request user deletion using the User ID provided in the request.
- Continuously check the status of the deletion request until it is complete.
Endpoints Utilized
| Method | Endpoint | Purpose | Docs |
|---|---|---|---|
| GET | /data-compliance/v1/requests/request_id | Retrieve an existing user deletion request. | |
| POST | /data-compliance/v1/user-deletion-request | Create a new user deletion request. |
Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.